
@media screen and (max-width: 800px) {
    .inputContainer {
        width: 98% !important;
    }
    textarea {
        width: 98% !important;
    }
}

.inputContainer {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 80%;
    padding: 0.3em 0.5em;
    margin: 0.3em 0px;
    font-size: 1.5em;
    border-color: var(--borderColor);
}

.inputContainer label { 
    font-weight: inherit;
    width: 100%;
    margin: unset;
    text-align: center;
    margin-bottom: 0.2em;
}

textarea {
    margin: unset;
    width: 80%;
    padding: 0.6em;
    border: 0.1em solid var(--borderColor);
    text-align: center;
    border-radius: 1em; 
    font-size: 1.5em;
    height: 8em;  
    font-family: var(--fontFamily);
}
textarea::placeholder {
    vertical-align: middle;
}

select,
input[type='email'],
input[type='number'],
input[type='password'],
input[type='search'],
input[type='tel'],
input[type='text'],
input[type='url'] {
    margin: unset;
    width: 100%;
    padding: 0.7em 0.5em;
    border: 0.1em solid var(--borderColor);
    text-align: center;
    border-radius: 1em;    
    font-size: 0.8em;
}
select:focus,
textarea:focus,
input[type='email']:focus,
input[type='number']:focus,
input[type='password']:focus,
input[type='search']:focus,
input[type='tel']:focus,
input[type='text']:focus,
input[type='url']:focus {
    border-color: var(--verdeChiaro);
    border-width: 0.1em;
    outline: unset;
}

input[type='search'] {
    background-image: url("../img/searchicon.png");
    background-position: 1em;
    background-repeat: no-repeat;
}

input[type='checkbox'] {
    cursor: pointer;      
    width: 1.5em;
    height: 1.5em;
}
input[type='checkbox']:before {
    content: '';
    position: absolute;
    border-radius: 0.3em;   
    width: 1.5em;
    height: 1.5em;
    background-color: inherit;
}
input[type='checkbox']:checked:before {
    content: '';
    position: absolute;
    border-radius: 0.3em;   
    width: 1.5em;
    height: 1.5em;
    background-color: var(--verdeScuro);    
}
input[type='number'] {
    width: 5em;
    margin: 0px 0.5em;
}
